Package org.eclipse.graphiti.features.context.impl

# Class CopyContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementsContext
org.eclipse.graphiti.features.context.impl.CopyContext

All Implemented Interfaces:
  `IContext`, `ICopyContext`, `IPictogramElementsContext`, `IPropertyBag`

public class CopyContext extends PictogramElementsContext implements ICopyContext
The Class CopyContext.

## Constructor Summary

Constructors
Constructor
Description
`CopyContext(PictogramElement[] pictogramElements)`
Creates a new `CopyContext`.

## Method Summary

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementsContext

`getPictogramElements, setPictogramElements, toString`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementsContext

`getPictogramElements, setPictogramElements`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### CopyContext

public CopyContext(PictogramElement[] pictogramElements)
Creates a new `CopyContext`.

Parameters:
  `pictogramElements` - the pictogram elements